﻿using System.Collections.ObjectModel;
using StarsAssistant.Model;

namespace StarsAssistant.ViewModels;

public partial class PlanetViewModel(Planet planet) : ViewModelBase
{
    public static ObservableCollection<PlanetViewModel> LoadAll() {
        var context = new StarsDatabase("stars.sqlite");
        var result = new ObservableCollection<PlanetViewModel>();
        foreach (Planet planet in context.Planets.ToList())
        {
            var vm = new PlanetViewModel(planet);
            result.Add(vm);
        }
        return result;
    }

    private readonly Planet planet = planet;

    public string Name => planet.Name;

    public string Owner => planet.Owner ?? String.Empty;

    public int Value => planet.Value ?? 0;
}
